# $Revision: 1.13 $, $Date: 2005/10/05 18:31:31 $
%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	HMAC
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - A class to calculate RFC 2104 compliant hashes
Summary(pl):	%{_pearname} - klasa liczca hashe zgodne z RFC 2104
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7c9781e32d23ff35754fd7261a3aad39
URL:		http://pear.php.net/package/Crypt_HMAC/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A class to calculate RFC 2104 compliant hashes.

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa liczca hashe zgodne z RFC 2104.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_HMAC.spec,v $
Revision 1.13  2005/10/05 18:31:31  glen
- rel 2

Revision 1.12  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.11  2005/09/19 21:43:39  glen
- integer BR

Revision 1.10  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.9  2005/02/21 07:53:54  adamg
- updated to 1.0.1

Revision 1.8  2005/02/20 07:49:35  adamg
- updated to 1.0.0

Revision 1.7  2004/12/03 21:57:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.5  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.2  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/20 10:00:32  blues
- initial release

